diff --git a/docs/target/build-docs/META-INF/MANIFEST.MF b/docs/target/build-docs/META-INF/MANIFEST.MF
new file mode 100644
index 0000000..49dac52
--- /dev/null
+++ b/docs/target/build-docs/META-INF/MANIFEST.MF
@@ -0,0 +1,6 @@
+Manifest-Version: 1.0
+Archiver-Version: Plexus Archiver
+Built-By: jenkins
+Created-By: Apache Maven 3.3.9
+Build-Jdk: 1.8.0_121
+
diff --git a/docs/target/build-docs/asciidoc/README.adoc b/docs/target/build-docs/asciidoc/README.adoc
new file mode 100644
index 0000000..2756129
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/README.adoc
@@ -0,0 +1,86 @@
+image:https://circleci.com/gh/spring-cloud/spring-cloud-build.svg?style=svg[link="https://travis-ci.org/spring-cloud/spring-cloud-build"]
+
+Spring Cloud Build is a common utility project for Spring Cloud
+to use for plugin and dependency management.
+
+== Building and Deploying
+
+To install locally:
+
+----
+
+$ mvn install -s .settings.xml
+----
+
+and to deploy snapshots to repo.spring.io:
+
+----
+$ mvn deploy -DaltSnapshotDeploymentRepository=repo.spring.io::default::https://repo.spring.io/libs-snapshot-local
+----
+
+for a RELEASE build use
+
+----
+$ mvn deploy -DaltReleaseDeploymentRepository=repo.spring.io::default::https://repo.spring.io/libs-release-local
+----
+
+and for jcenter use
+
+----
+$ mvn deploy -DaltReleaseDeploymentRepository=bintray::default::https://api.bintray.com/maven/spring/jars/org.springframework.cloud:build
+----
+
+and for Maven Central use
+
+----
+$ mvn deploy -P central -DaltReleaseDeploymentRepository=sonatype-nexus-staging::default::https://oss.sonatype.org/service/local/staging/deploy/maven2
+----
+
+(the "central" profile is available for all projects in Spring Cloud and it sets up the gpg jar signing, and the repository has to be specified separately for this project because it is a parent of the starter parent which users in turn have as their own parent).
+
+== Contributing
+
+include::https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/docs/src/main/asciidoc/contributing.adoc[]
+
+== Reusing the documentation
+
+Spring Cloud Build publishes its `spring-cloud-build-docs` module that contains
+helpful scripts (e.g. README generation ruby script) and css, xslt and images
+for the Spring Cloud documentation. If you want to follow the same convention
+approach of generating documentation just add these plugins to your `docs` module
+
+[source,xml]
+----
+
+
+ docs
+
+
+
+ org.apache.maven.plugins
+ maven-dependency-plugin <1>
+
+
+ org.asciidoctor
+ asciidoctor-maven-plugin <2>
+
+
+ com.agilejava.docbkx
+ docbkx-maven-plugin <3>
+
+
+ org.apache.maven.plugins
+ maven-antrun-plugin <4>
+ false
+
+
+
+
+
+----
+<1> This plugin downloads and unpacks the resources of the `spring-cloud-build-docs` module
+<2> This plugin is required to parse the Asciidoctor documentation
+<3> This plugin converts the Asciidoctor documentation into single and multi page docs
+<4> This plugin is required to copy resources into proper final destinations and to generate main README.adoc
+
+IMPORTANT: The order of plugin declaration is important!
\ No newline at end of file
diff --git a/docs/target/build-docs/asciidoc/building-base.adoc b/docs/target/build-docs/asciidoc/building-base.adoc
new file mode 100644
index 0000000..4f7c41f
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/building-base.adoc
@@ -0,0 +1,86 @@
+=== Basic Compile and Test
+
+To build the source you will need to install JDK {jdkversion}.
+
+Spring Cloud uses Maven for most build-related activities, and you
+should be able to get off the ground quite quickly by cloning the
+project you are interested in and typing
+
+----
+$ ./mvnw install
+----
+
+NOTE: You can also install Maven (>=3.3.3) yourself and run the `mvn` command
+in place of `./mvnw` in the examples below. If you do that you also
+might need to add `-P spring` if your local Maven settings do not
+contain repository declarations for spring pre-release artifacts.
+
+NOTE: Be aware that you might need to increase the amount of memory
+available to Maven by setting a `MAVEN_OPTS` environment variable with
+a value like `-Xmx512m -XX:MaxPermSize=128m`. We try to cover this in
+the `.mvn` configuration, so if you find you have to do it to make a
+build succeed, please raise a ticket to get the settings added to
+source control.
+
+For hints on how to build the project look in `.travis.yml` if there
+is one. There should be a "script" and maybe "install" command. Also
+look at the "services" section to see if any services need to be
+running locally (e.g. mongo or rabbit). Ignore the git-related bits
+that you might find in "before_install" since they're related to setting git
+credentials and you already have those.
+
+The projects that require middleware generally include a
+`docker-compose.yml`, so consider using
+http://compose.docker.io/[Docker Compose] to run the middeware servers
+in Docker containers. See the README in the
+https://github.com/spring-cloud-samples/scripts[scripts demo
+repository] for specific instructions about the common cases of mongo,
+rabbit and redis.
+
+NOTE: If all else fails, build with the command from `.travis.yml` (usually
+`./mvnw install`).
+
+=== Documentation
+
+The spring-cloud-build module has a "docs" profile, and if you switch
+that on it will try to build asciidoc sources from
+`src/main/asciidoc`. As part of that process it will look for a
+`README.adoc` and process it by loading all the includes, but not
+parsing or rendering it, just copying it to `${main.basedir}`
+(defaults to `${basedir}`, i.e. the root of the project). If there are
+any changes in the README it will then show up after a Maven build as
+a modified file in the correct place. Just commit it and push the change.
+
+=== Working with the code
+If you don't have an IDE preference we would recommend that you use
+http://www.springsource.com/developer/sts[Spring Tools Suite] or
+http://eclipse.org[Eclipse] when working with the code. We use the
+http://eclipse.org/m2e/[m2eclipse] eclipse plugin for maven support. Other IDEs and tools
+should also work without issue as long as they use Maven 3.3.3 or better.
+
+==== Importing into eclipse with m2eclipse
+We recommend the http://eclipse.org/m2e/[m2eclipse] eclipse plugin when working with
+eclipse. If you don't already have m2eclipse installed it is available from the "eclipse
+marketplace".
+
+NOTE: Older versions of m2e do not support Maven 3.3, so once the
+projects are imported into Eclipse you will also need to tell
+m2eclipse to use the right profile for the projects. If you
+see many different errors related to the POMs in the projects, check
+that you have an up to date installation. If you can't upgrade m2e,
+add the "spring" profile to your `settings.xml`. Alternatively you can
+copy the repository settings from the "spring" profile of the parent
+pom into your `settings.xml`.
+
+==== Importing into eclipse without m2eclipse
+If you prefer not to use m2eclipse you can generate eclipse project metadata using the
+following command:
+
+[indent=0]
+----
+ $ ./mvnw eclipse:eclipse
+----
+
+The generated eclipse projects can be imported by selecting `import existing projects`
+from the `file` menu.
+
diff --git a/docs/target/build-docs/asciidoc/building-jdk8.adoc b/docs/target/build-docs/asciidoc/building-jdk8.adoc
new file mode 100644
index 0000000..ef99061
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/building-jdk8.adoc
@@ -0,0 +1,4 @@
+:jdkversion: 1.8
+
+include::https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/docs/src/main/asciidoc/building-base.adoc[]
+
diff --git a/docs/target/build-docs/asciidoc/building-lombok.adoc b/docs/target/build-docs/asciidoc/building-lombok.adoc
new file mode 100644
index 0000000..a06b6f9
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/building-lombok.adoc
@@ -0,0 +1,33 @@
+==== Adding Project Lombok Agent
+
+Spring Cloud uses http://projectlombok.org/features/index.html[Project Lombok]
+to generate getters and setters etc. Compiling from the command line this
+shouldn't cause any problems, but in an IDE you need to add an agent
+to the JVM. Full instructions can be found in the Lombok website. The
+sign that you need to do this is a lot of compiler errors to do with
+missing methods and fields, e.g.
+
+[indent=0]
+----
+The method getInitialStatus() is undefined for the type EurekaInstanceConfigBean EurekaDiscoveryClientConfiguration.java /spring-cloud-netflix-core/src/main/java/org/springframework/cloud/netflix/eureka line 120 Java Problem
+The method getInitialStatus() is undefined for the type EurekaInstanceConfigBean EurekaDiscoveryClientConfiguration.java /spring-cloud-netflix-core/src/main/java/org/springframework/cloud/netflix/eureka line 121 Java Problem
+The method setNonSecurePort(int) is undefined for the type EurekaInstanceConfigBean EurekaDiscoveryClientConfiguration.java /spring-cloud-netflix-core/src/main/java/org/springframework/cloud/netflix/eureka line 112 Java Problem
+The type EurekaInstanceConfigBean.IdentifyingDataCenterInfo must implement the inherited abstract method DataCenterInfo.getName() EurekaInstanceConfigBean.java /spring-cloud-netflix-core/src/main/java/org/springframework/cloud/netflix/eureka line 131 Java Problem
+The method getId() is undefined for the type ProxyRouteLocator.ProxyRouteSpec PreDecorationFilter.java /spring-cloud-netflix-core/src/main/java/org/springframework/cloud/netflix/zuul/filters/pre line 60 Java Problem
+The method getLocation() is undefined for the type ProxyRouteLocator.ProxyRouteSpec PreDecorationFilter.java /spring-cloud-netflix-core/src/main/java/org/springframework/cloud/netflix/zuul/filters/pre line 55 Java Problem
+----
+
+==== Importing into Intellij
+Spring Cloud projects use annotation processing, particularly Lombok, which requires configuration
+or you will encounter compile problems. It also needs a specific version of maven and a profile
+enabled. Intellij 14.1+ requires some configuration to ensure these are setup properly.
+
+ 1. Click Preferences, Plugins. *Ensure Lombok is installed*
+ 2. Click New, Project from Existing Sources, choose your spring-cloud project directory
+ 3. Choose Maven, and select Environment Settings. *Ensure you are using Maven 3.3.3*
+ 4. In the next screen, *Select the profile `spring`* click Next until Finish.
+ 5. Click Preferences, "Build, Execution, Deployment", Compiler, Annotation Processors. *Click Enable Annotation Processing*
+ 6. Click Build, Rebuild Project, and you are ready to go!
+
+==== Importing into other IDEs
+Maven is well supported by most Java IDEs. Refer to you vendor documentation.
diff --git a/docs/target/build-docs/asciidoc/building.adoc b/docs/target/build-docs/asciidoc/building.adoc
new file mode 100644
index 0000000..0375a59
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/building.adoc
@@ -0,0 +1,3 @@
+:jdkversion: 1.7
+
+include::https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/docs/src/main/asciidoc/building-base.adoc[]
diff --git a/docs/target/build-docs/asciidoc/code-of-conduct.adoc b/docs/target/build-docs/asciidoc/code-of-conduct.adoc
new file mode 100644
index 0000000..091e220
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/code-of-conduct.adoc
@@ -0,0 +1,45 @@
+
+= Contributor Code of Conduct
+
+As contributors and maintainers of this project, and in the interest of fostering an open
+and welcoming community, we pledge to respect all people who contribute through reporting
+issues, posting feature requests, updating documentation, submitting pull requests or
+patches, and other activities.
+
+We are committed to making participation in this project a harassment-free experience for
+everyone, regardless of level of experience, gender, gender identity and expression,
+sexual orientation, disability, personal appearance, body size, race, ethnicity, age,
+religion, or nationality.
+
+Examples of unacceptable behavior by participants include:
+
+* The use of sexualized language or imagery
+* Personal attacks
+* Trolling or insulting/derogatory comments
+* Public or private harassment
+* Publishing other's private information, such as physical or electronic addresses,
+ without explicit permission
+* Other unethical or unprofessional conduct
+
+Project maintainers have the right and responsibility to remove, edit, or reject comments,
+commits, code, wiki edits, issues, and other contributions that are not aligned to this
+Code of Conduct, or to ban temporarily or permanently any contributor for other behaviors
+that they deem inappropriate, threatening, offensive, or harmful.
+
+By adopting this Code of Conduct, project maintainers commit themselves to fairly and
+consistently applying these principles to every aspect of managing this project. Project
+maintainers who do not follow or enforce the Code of Conduct may be permanently removed
+from the project team.
+
+This Code of Conduct applies both within project spaces and in public spaces when an
+individual is representing the project or its community.
+
+Instances of abusive, harassing, or otherwise unacceptable behavior may be reported by
+contacting a project maintainer at spring-code-of-conduct@pivotal.io . All complaints will
+be reviewed and investigated and will result in a response that is deemed necessary and
+appropriate to the circumstances. Maintainers are obligated to maintain confidentiality
+with regard to the reporter of an incident.
+
+This Code of Conduct is adapted from the
+http://contributor-covenant.org[Contributor Covenant], version 1.3.0, available at
+http://contributor-covenant.org/version/1/3/0/[contributor-covenant.org/version/1/3/0/]
\ No newline at end of file
diff --git a/docs/target/build-docs/asciidoc/contributing-docs.adoc b/docs/target/build-docs/asciidoc/contributing-docs.adoc
new file mode 100644
index 0000000..6851cce
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/contributing-docs.adoc
@@ -0,0 +1 @@
+NOTE: Spring Cloud is released under the non-restrictive Apache 2.0 license. If you would like to contribute to this section of the documentation or if you find an error, please find the source code and issue trackers in the project at {docslink}[github].
\ No newline at end of file
diff --git a/docs/target/build-docs/asciidoc/contributing.adoc b/docs/target/build-docs/asciidoc/contributing.adoc
new file mode 100644
index 0000000..ac8bd57
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/contributing.adoc
@@ -0,0 +1,44 @@
+Spring Cloud is released under the non-restrictive Apache 2.0 license,
+and follows a very standard Github development process, using Github
+tracker for issues and merging pull requests into master. If you want
+to contribute even something trivial please do not hesitate, but
+follow the guidelines below.
+
+=== Sign the Contributor License Agreement
+Before we accept a non-trivial patch or pull request we will need you to sign the
+https://cla.pivotal.io/sign/spring[Contributor License Agreement].
+Signing the contributor's agreement does not grant anyone commit rights to the main
+repository, but it does mean that we can accept your contributions, and you will get an
+author credit if we do. Active contributors might be asked to join the core team, and
+given the ability to merge pull requests.
+
+=== Code of Conduct
+This project adheres to the Contributor Covenant https://github.com/spring-cloud/spring-cloud-build/blob/master/docs/src/main/asciidoc/code-of-conduct.adoc[code of
+conduct]. By participating, you are expected to uphold this code. Please report
+unacceptable behavior to spring-code-of-conduct@pivotal.io.
+
+=== Code Conventions and Housekeeping
+None of these is essential for a pull request, but they will all help. They can also be
+added after the original pull request but before a merge.
+
+* Use the Spring Framework code format conventions. If you use Eclipse
+ you can import formatter settings using the
+ `eclipse-code-formatter.xml` file from the
+ https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/spring-cloud-dependencies-parent/eclipse-code-formatter.xml[Spring
+ Cloud Build] project. If using IntelliJ, you can use the
+ http://plugins.jetbrains.com/plugin/6546[Eclipse Code Formatter
+ Plugin] to import the same file.
+* Make sure all new `.java` files to have a simple Javadoc class comment with at least an
+ `@author` tag identifying you, and preferably at least a paragraph on what the class is
+ for.
+* Add the ASF license header comment to all new `.java` files (copy from existing files
+ in the project)
+* Add yourself as an `@author` to the .java files that you modify substantially (more
+ than cosmetic changes).
+* Add some Javadocs and, if you change the namespace, some XSD doc elements.
+* A few unit tests would help a lot as well -- someone has to do it.
+* If no-one else is using your branch, please rebase it against the current master (or
+ other target branch in the main project).
+* When writing a commit message please follow http://tbaggery.com/2008/04/19/a-note-about-git-commit-messages.html[these conventions],
+ if you are fixing an existing issue please add `Fixes gh-XXXX` at the end of the commit
+ message (where XXXX is the issue number).
diff --git a/docs/target/build-docs/asciidoc/ghpages.sh b/docs/target/build-docs/asciidoc/ghpages.sh
new file mode 100755
index 0000000..09435af
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/ghpages.sh
@@ -0,0 +1,360 @@
+#!/bin/bash -x
+
+# Usage: (cd ; ghpages.sh -v -b -c)
+
+set -e
+
+# Set default props like MAVEN_PATH, ROOT_FOLDER etc.
+function set_default_props() {
+ # The script should be executed from the root folder
+ ROOT_FOLDER=`pwd`
+ echo "Current folder is ${ROOT_FOLDER}"
+
+ if [[ ! -e "${ROOT_FOLDER}/.git" ]]; then
+ echo "You're not in the root folder of the project!"
+ exit 1
+ fi
+
+ # Prop that will let commit the changes
+ COMMIT_CHANGES="no"
+ MAVEN_PATH=${MAVEN_PATH:-}
+ if [ -e "${ROOT_FOLDER}/mvnw" ]; then
+ MAVEN_EXEC="$ROOT_FOLDER/mvnw"
+ else
+ MAVEN_EXEC="${MAVEN_PATH}mvn"
+ fi
+ echo "Path to Maven is [${MAVEN_EXEC}]"
+ if [ -z $REPO_NAME ]; then
+ REPO_NAME=$(git remote -v | grep origin | head -1 | sed -e 's!.*/!!' -e 's/ .*//' -e 's/\.git.*//')
+ fi
+ echo "Repo name is [${REPO_NAME}]"
+ SPRING_CLOUD_STATIC_REPO=${SPRING_CLOUD_STATIC_REPO:-git@github.com:spring-cloud/spring-cloud-static.git}
+ echo "Spring Cloud Static repo is [${SPRING_CLOUD_STATIC_REPO}"
+}
+
+# Check if gh-pages exists and docs have been built
+function check_if_anything_to_sync() {
+ git remote set-url --push origin `git config remote.origin.url | sed -e 's/^git:/https:/'`
+
+ if ! (git remote set-branches --add origin gh-pages && git fetch -q) && [[ "${RELEASE_TRAIN}" != "yes" ]] ; then
+ echo "No gh-pages, so not syncing"
+ exit 0
+ fi
+
+ if ! [ -d docs/target/generated-docs ] && ! [ "${BUILD}" == "yes" ]; then
+ echo "No gh-pages sources in docs/target/generated-docs, so not syncing"
+ exit 0
+ fi
+}
+
+function retrieve_current_branch() {
+ # Code getting the name of the current branch. For master we want to publish as we did until now
+ # http://stackoverflow.com/questions/1593051/how-to-programmatically-determine-the-current-checked-out-git-branch
+ # If there is a branch already passed will reuse it - otherwise will try to find it
+ CURRENT_BRANCH=${BRANCH}
+ if [[ -z "${CURRENT_BRANCH}" ]] ; then
+ CURRENT_BRANCH=$(git symbolic-ref -q HEAD)
+ CURRENT_BRANCH=${CURRENT_BRANCH##refs/heads/}
+ CURRENT_BRANCH=${CURRENT_BRANCH:-HEAD}
+ fi
+ echo "Current branch is [${CURRENT_BRANCH}]"
+ git checkout ${CURRENT_BRANCH} || echo "Failed to check the branch... continuing with the script"
+ PREVIOUS_BRANCH=${CURRENT_BRANCH}
+}
+
+# Switches to the provided value of the release version. We always prefix it with `v`
+function switch_to_tag() {
+ if [[ "${RELEASE_TRAIN}" != "yes" ]] ; then
+ git checkout v${VERSION}
+ fi
+}
+
+# Build the docs if switch is on
+function build_docs_if_applicable() {
+ if [[ "${BUILD}" == "yes" ]] ; then
+ ./mvnw clean install -P docs -pl docs -DskipTests
+ fi
+}
+
+# Get the name of the `docs.main` property
+# Get whitelisted branches - assumes that a `docs` module is available under `docs` profile
+function retrieve_doc_properties() {
+ MAIN_ADOC_VALUE=$("${MAVEN_EXEC}" -q \
+ -Dexec.executable="echo" \
+ -Dexec.args='${docs.main}' \
+ org.codehaus.mojo:exec-maven-plugin:1.3.1:exec \
+ -P docs \
+ -pl docs | tail -1 )
+ echo "Extracted 'main.adoc' from Maven build [${MAIN_ADOC_VALUE}]"
+
+
+ WHITELIST_PROPERTY=${WHITELIST_PROPERTY:-"docs.whitelisted.branches"}
+ WHITELISTED_BRANCHES_VALUE=$("${MAVEN_EXEC}" -q \
+ -Dexec.executable="echo" \
+ -Dexec.args="\${${WHITELIST_PROPERTY}}" \
+ org.codehaus.mojo:exec-maven-plugin:1.3.1:exec \
+ -P docs \
+ -pl docs | tail -1 )
+ echo "Extracted '${WHITELIST_PROPERTY}' from Maven build [${WHITELISTED_BRANCHES_VALUE}]"
+}
+
+# Stash any outstanding changes
+function stash_changes() {
+ git diff-index --quiet HEAD && dirty=$? || (echo "Failed to check if the current repo is dirty. Assuming that it is." && dirty="1")
+ if [ "$dirty" != "0" ]; then git stash; fi
+}
+
+# Switch to gh-pages branch to sync it with current branch
+function add_docs_from_target() {
+ local DESTINATION_REPO_FOLDER
+ if [[ -z "${DESTINATION}" && -z "${CLONE}" ]] ; then
+ DESTINATION_REPO_FOLDER=${ROOT_FOLDER}
+ elif [[ "${CLONE}" == "yes" ]]; then
+ mkdir -p ${ROOT_FOLDER}/target
+ local clonedStatic=${ROOT_FOLDER}/target/spring-cloud-static
+ if [[ ! -e "${clonedStatic}/.git" ]]; then
+ echo "Cloning Spring Cloud Static to target"
+ git clone ${SPRING_CLOUD_STATIC_REPO} ${clonedStatic} && cd ${clonedStatic} && git checkout gh-pages
+ else
+ echo "Spring Cloud Static already cloned - will pull changes"
+ cd ${clonedStatic} && git checkout gh-pages && git pull origin gh-pages
+ fi
+ if [[ -z "${RELEASE_TRAIN}" ]] ; then
+ DESTINATION_REPO_FOLDER=${clonedStatic}/${REPO_NAME}
+ else
+ DESTINATION_REPO_FOLDER=${clonedStatic}
+ fi
+ mkdir -p ${DESTINATION_REPO_FOLDER}
+ else
+ if [[ ! -e "${DESTINATION}/.git" ]]; then
+ echo "[${DESTINATION}] is not a git repository"
+ exit 1
+ fi
+ if [[ -z "${RELEASE_TRAIN}" ]] ; then
+ DESTINATION_REPO_FOLDER=${DESTINATION}/${REPO_NAME}
+ else
+ DESTINATION_REPO_FOLDER=${DESTINATION}
+ fi
+ mkdir -p ${DESTINATION_REPO_FOLDER}
+ echo "Destination was provided [${DESTINATION}]"
+ fi
+ cd ${DESTINATION_REPO_FOLDER}
+ git checkout gh-pages
+ git pull origin gh-pages
+
+ # Add git branches
+ ###################################################################
+ if [[ -z "${VERSION}" && -z "${RELEASE_TRAIN}" ]] ; then
+ copy_docs_for_current_version
+ else
+ copy_docs_for_provided_version
+ fi
+ commit_changes_if_applicable
+}
+
+
+# Copies the docs by using the retrieved properties from Maven build
+function copy_docs_for_current_version() {
+ if [[ "${CURRENT_BRANCH}" == "master" ]] ; then
+ echo -e "Current branch is master - will copy the current docs only to the root folder"
+ for f in docs/target/generated-docs/*; do
+ file=${f#docs/target/generated-docs/*}
+ if ! git ls-files -i -o --exclude-standard --directory | grep -q ^$file$; then
+ # Not ignored...
+ cp -rf $f ${ROOT_FOLDER}/
+ fi
+ done
+ git add -A ${ROOT_FOLDER}
+ COMMIT_CHANGES="yes"
+ else
+ echo -e "Current branch is [${CURRENT_BRANCH}]"
+ # http://stackoverflow.com/questions/29300806/a-bash-script-to-check-if-a-string-is-present-in-a-comma-separated-list-of-strin
+ if [[ ",${WHITELISTED_BRANCHES_VALUE}," = *",${CURRENT_BRANCH},"* ]] ; then
+ mkdir -p ${ROOT_FOLDER}/${CURRENT_BRANCH}
+ echo -e "Branch [${CURRENT_BRANCH}] is whitelisted! Will copy the current docs to the [${CURRENT_BRANCH}] folder"
+ for f in docs/target/generated-docs/*; do
+ file=${f#docs/target/generated-docs/*}
+ if ! git ls-files -i -o --exclude-standard --directory | grep -q ^$file$; then
+ # Not ignored...
+ # We want users to access 1.0.0.RELEASE/ instead of 1.0.0.RELEASE/spring-cloud.sleuth.html
+ if [[ "${file}" == "${MAIN_ADOC_VALUE}.html" ]] ; then
+ # We don't want to copy the spring-cloud-sleuth.html
+ # we want it to be converted to index.html
+ cp -rf $f ${ROOT_FOLDER}/${CURRENT_BRANCH}/index.html
+ git add -A ${ROOT_FOLDER}/${CURRENT_BRANCH}/index.html
+ else
+ cp -rf $f ${ROOT_FOLDER}/${CURRENT_BRANCH}
+ git add -A ${ROOT_FOLDER}/${CURRENT_BRANCH}/$file || echo "Failed to add the file [$file]"
+ fi
+ fi
+ done
+ COMMIT_CHANGES="yes"
+ else
+ echo -e "Branch [${CURRENT_BRANCH}] is not on the white list! Check out the Maven [${WHITELIST_PROPERTY}] property in
+ [docs] module available under [docs] profile. Won't commit any changes to gh-pages for this branch."
+ fi
+ fi
+}
+
+# Copies the docs by using the explicitly provided version
+function copy_docs_for_provided_version() {
+ local FOLDER=${DESTINATION_REPO_FOLDER}/${VERSION}
+ mkdir -p ${FOLDER}
+ echo -e "Current tag is [v${VERSION}] Will copy the current docs to the [${FOLDER}] folder"
+ for f in ${ROOT_FOLDER}/docs/target/generated-docs/*; do
+ file=${f#${ROOT_FOLDER}/docs/target/generated-docs/*}
+ copy_docs_for_branch ${file} ${FOLDER}
+ done
+ COMMIT_CHANGES="yes"
+ CURRENT_BRANCH="v${VERSION}"
+}
+
+# Copies the docs from target to the provided destination
+# Params:
+# $1 - file from target
+# $2 - destination to which copy the files
+function copy_docs_for_branch() {
+ local file=$1
+ local destination=$2
+ if ! git ls-files -i -o --exclude-standard --directory | grep -q ^${file}$; then
+ # Not ignored...
+ # We want users to access 1.0.0.RELEASE/ instead of 1.0.0.RELEASE/spring-cloud.sleuth.html
+ if [[ ("${file}" == "${MAIN_ADOC_VALUE}.html") || ("${file}" == "${REPO_NAME}.html") ]] ; then
+ # We don't want to copy the spring-cloud-sleuth.html
+ # we want it to be converted to index.html
+ cp -rf $f ${destination}/index.html
+ else
+ cp -rf $f ${destination}
+ fi
+ git add -A ${destination}
+ fi
+}
+
+function commit_changes_if_applicable() {
+ if [[ "${COMMIT_CHANGES}" == "yes" ]] ; then
+ COMMIT_SUCCESSFUL="no"
+ git commit -a -m "Sync docs from ${CURRENT_BRANCH} to gh-pages" && COMMIT_SUCCESSFUL="yes" || echo "Failed to commit changes"
+
+ # Uncomment the following push if you want to auto push to
+ # the gh-pages branch whenever you commit to master locally.
+ # This is a little extreme. Use with care!
+ ###################################################################
+ if [[ "${COMMIT_SUCCESSFUL}" == "yes" ]] ; then
+ git push origin gh-pages
+ fi
+ fi
+}
+
+# Switch back to the previous branch and exit block
+function checkout_previous_branch() {
+ # If -version was provided we need to come back to root project
+ cd ${ROOT_FOLDER}
+ git checkout ${PREVIOUS_BRANCH} || echo "Failed to check the branch... continuing with the script"
+ if [ "$dirty" != "0" ]; then git stash pop; fi
+ exit 0
+}
+
+# Assert if properties have been properly passed
+function assert_properties() {
+echo "VERSION [${VERSION}], RELEASE_TRAIN [${RELEASE_TRAIN}], DESTINATION [${DESTINATION}], CLONE [${CLONE}]"
+if [[ "${VERSION}" != "" && (-z "${DESTINATION}" && -z "${CLONE}") ]] ; then echo "Version was set but destination / clone was not!"; exit 1;fi
+if [[ ("${DESTINATION}" != "" && "${CLONE}" != "") && -z "${VERSION}" ]] ; then echo "Destination / clone was set but version was not!"; exit 1;fi
+if [[ "${DESTINATION}" != "" && "${CLONE}" == "yes" ]] ; then echo "Destination and clone was set. Pick one!"; exit 1;fi
+if [[ "${RELEASE_TRAIN}" != "" && -z "${VERSION}" ]] ; then echo "Release train was set but no version was passed!"; exit 1;fi
+}
+
+# Prints the usage
+function print_usage() {
+cat </`
+- if the destination switch is passed (-d) then the script will check if the provided dir is a git repo and then will
+ switch to gh-pages of that repo and copy the generated docs to `docs//`
+- if the release train switch is passed (-r) then the script will check if the provided dir is a git repo and then will
+ switch to gh-pages of that repo and copy the generated docs to `docs/`
+
+USAGE:
+
+You can use the following options:
+
+-v|--version - the script will apply the whole procedure for a particular library version
+-r|--releasetrain - instead of nesting the docs under the project_name/version folder the docs will end up in version
+-d|--destination - the root of destination folder where the docs should be copied. You have to use the full path.
+ E.g. point to spring-cloud-static folder. Can't be used with (-c)
+-b|--build - will run the standard build process after checking out the branch
+-c|--clone - will automatically clone the spring-cloud-static repo instead of providing the destination.
+ Obviously can't be used with (-d)
+
+EOF
+}
+
+
+# ==========================================
+# ____ ____ _____ _____ _____ _______
+# / ____|/ ____| __ \|_ _| __ \__ __|
+# | (___ | | | |__) | | | | |__) | | |
+# \___ \| | | _ / | | | ___/ | |
+# ____) | |____| | \ \ _| |_| | | |
+# |_____/ \_____|_| \_\_____|_| |_|
+#
+# ==========================================
+
+while [[ $# > 0 ]]
+do
+key="$1"
+case ${key} in
+ -v|--version)
+ VERSION="$2"
+ shift # past argument
+ ;;
+ -r|--releasetrain)
+ RELEASE_TRAIN="yes"
+ ;;
+ -d|--destination)
+ DESTINATION="$2"
+ shift # past argument
+ ;;
+ -b|--build)
+ BUILD="yes"
+ ;;
+ -c|--clone)
+ CLONE="yes"
+ ;;
+ -h|--help)
+ print_usage
+ exit 0
+ ;;
+ *)
+ echo "Invalid option: [$1]"
+ print_usage
+ exit 1
+ ;;
+esac
+shift # past argument or value
+done
+
+assert_properties
+set_default_props
+check_if_anything_to_sync
+retrieve_current_branch
+if echo $VERSION | egrep -q 'SNAPSHOT' || [[ -z "${VERSION}" ]]; then
+ CLONE=""
+ VERSION=""
+ echo "You've provided a version variable but it's a snapshot one. Due to this will not clone spring-cloud-static and publish docs over there"
+else
+ switch_to_tag
+fi
+build_docs_if_applicable
+retrieve_doc_properties
+stash_changes
+add_docs_from_target
+checkout_previous_branch
diff --git a/docs/target/build-docs/asciidoc/spring-cloud-build.adoc b/docs/target/build-docs/asciidoc/spring-cloud-build.adoc
new file mode 100644
index 0000000..ba98d96
--- /dev/null
+++ b/docs/target/build-docs/asciidoc/spring-cloud-build.adoc
@@ -0,0 +1,3 @@
+= Spring Cloud Build
+
+include::README.adoc[]
diff --git a/docs/target/build-docs/bash/sync_ghpages.sh b/docs/target/build-docs/bash/sync_ghpages.sh
new file mode 100755
index 0000000..37c9ec0
--- /dev/null
+++ b/docs/target/build-docs/bash/sync_ghpages.sh
@@ -0,0 +1,211 @@
+#!/bin/bash
+
+set -e
+
+# Either clones or pulls the repo for given project
+# Params:
+# $1 organization e.g. spring-cloud
+# $2 repo name e.g. spring-cloud-sleuth
+function clone_or_pull() {
+ if [ "$#" -ne 2 ]
+ then
+ echo "You haven't provided 2 args... \$1 organization e.g. spring-cloud; \$2 repo name e.g. spring-cloud-sleuth"
+ exit 1
+ fi
+ if [[ "${JUST_PUSH}" == "yes" ]] ; then
+ echo "Skipping cloning since the option to just push was provided"
+ exit 0
+ fi
+ local ORGANIZATION=$1
+ local REPO_NAME=$2
+ local LOCALREPO_VC_DIR=${REPO_NAME}/.git
+ if [ ! -d ${LOCALREPO_VC_DIR} ]
+ then
+ echo "Repo [${REPO_NAME}] doesn't exist - will clone it!"
+ git clone git@github.com:${ORGANIZATION}/${REPO_NAME}.git
+ else
+ echo "Repo [${REPO_NAME}] exists - will pull the changes"
+ cd ${REPO_NAME} && git pull || echo "Not pulling since repo is up to date"
+ cd ${ROOT_FOLDER}
+ fi
+}
+
+# For the given branch updates the docs/src/main/asciidoc/ghpages.sh
+# with the one from spring-cloud-build. Then commits and pushes the change
+# Params:
+# $1 repo name e.g. spring-cloud-sleuth
+# $2 branch name
+function update_ghpages_script() {
+ if [ "$#" -ne 2 ]
+ then
+ echo "You haven't provided 2 args... \$1 repo name e.g. spring-cloud-sleuth; \$2 branch name e.g. master"
+ exit 1
+ fi
+ local REPO_NAME=$1
+ local BRANCH_NAME=$2
+ echo "Updating ghpages script for [${REPO_NAME}] and branch [${BRANCH_NAME}]"
+ cd ${REPO_NAME}
+ echo "Checking out [${BRANCH_NAME}]"
+ git checkout ${BRANCH_NAME}
+ echo "Resetting the repo and pulling before commiting"
+ git reset --hard origin/${BRANCH_NAME} && git pull origin ${BRANCH_NAME}
+ # If the user wants to just push we will not copy / add / commit files
+ if [[ "${JUST_PUSH}" != "yes" ]] ; then
+ echo "Copying [${GHPAGES_DOWNLOAD_PATH}] to [${GHPAGES_IN_REPO_PATH}]"
+ cp -rf ${GHPAGES_DOWNLOAD_PATH} ${GHPAGES_IN_REPO_PATH}
+ echo "Adding and committing [${GHPAGES_IN_REPO_PATH}] with message [${COMMIT_MESSAGE}]"
+ git add ${GHPAGES_IN_REPO_PATH}
+ git commit -m "${COMMIT_MESSAGE}" || echo "Proceeding to the next repo"
+ fi
+ if [[ "${AUTO_PUSH}" == "yes" ]] ; then
+ echo "Pushing the branch [${BRANCH_NAME}]"
+ wait_if_manual_proceed
+ git push origin ${BRANCH_NAME}
+ fi
+ cd ${ROOT_FOLDER}
+}
+
+# Downloads ghpages.sh
+function download_ghpages() {
+ rm -rf ${GHPAGES_DOWNLOAD_PATH}
+ echo "Downloading ghpages.sh from [${GHPAGES_URL}] to [${GHPAGES_DOWNLOAD_PATH}]"
+ curl ${GHPAGES_URL} -o ${GHPAGES_DOWNLOAD_PATH}
+ chmod +x ${GHPAGES_DOWNLOAD_PATH}
+}
+
+# Either clones or pulls the repo for given project and then updates gh-pages for the given project
+# Params:
+# $1 organization e.g. spring-cloud
+# $2 repo name e.g. spring-cloud-sleuth
+# $3 branch name e.g. master
+function clone_and_update_ghpages() {
+ if [ "$#" -ne 3 ]
+ then
+ echo "You haven't provided 3 args... \$1 organization e.g. spring-cloud; \$2 repo name e.g. spring-cloud-sleuth; \$3 branch name e.g. master"
+ exit 1
+ fi
+ local ORGANIZATION=$1
+ local REPO_NAME=$2
+ local BRANCH_NAME=$3
+ local VAR
+ echo -e "\n\nWill clone the repo and update scripts for org [${ORGANIZATION}], repo [${REPO_NAME}] and branch [${BRANCH_NAME}]\n\n"
+ clone_or_pull ${ORGANIZATION} ${REPO_NAME}
+ update_ghpages_script ${REPO_NAME} ${BRANCH_NAME}
+ echo "Proceeding to next project"
+ wait_if_manual_proceed
+}
+
+function wait_if_manual_proceed() {
+ if [[ "${AUTO_PROCEED}" != "yes" ]] ; then
+ echo -n "Press [ENTER] to continue..."
+ read VAR
+ fi
+}
+
+# Prints the provided parameters
+function print_parameters() {
+cat < 0 ]]
+do
+key="$1"
+case ${key} in
+ -p|--nopush)
+ AUTO_PUSH="no"
+ ;;
+ -m|--manualproceed)
+ AUTO_PROCEED="no"
+ ;;
+ -x|--justpush)
+ JUST_PUSH="yes"
+ ;;
+ -h|--help)
+ print_usage
+ exit 0
+ ;;
+ *)
+ echo "Invalid option: [$1]"
+ print_usage
+ exit 1
+ ;;
+esac
+shift # past argument or value
+done
+
+export GHPAGES_URL=${GHPAGES_URL:-https://raw.githubusercontent.com/spring-cloud/spring-cloud-build/master/docs/src/main/asciidoc/ghpages.sh}
+export GHPAGES_DOWNLOAD_PATH=${GHPAGES_DOWNLOAD_PATH:-/tmp/ghpages.sh}
+export COMMIT_MESSAGE=${COMMIT_MESSAGE:-Updating ghpages for all projects}
+export GHPAGES_IN_REPO_PATH=${GHPAGES_IN_REPO_PATH:-docs/src/main/asciidoc/ghpages.sh}
+export AUTO_PROCEED=${AUTO_PROCEED:-yes}
+export AUTO_PUSH=${AUTO_PUSH:-yes}
+export JUST_PUSH=${JUST_PUSH:-no}
+export ROOT_FOLDER=`pwd`
+
+
+print_parameters
+download_ghpages
+clone_and_update_ghpages spring-cloud spring-cloud-aws master
+clone_and_update_ghpages spring-cloud spring-cloud-aws 1.0.x
+clone_and_update_ghpages spring-cloud spring-cloud-aws 1.2.x
+clone_and_update_ghpages spring-cloud spring-cloud-bus master
+clone_and_update_ghpages spring-cloud spring-cloud-cli 1.0.x
+clone_and_update_ghpages spring-cloud spring-cloud-cli 1.1.x
+clone_and_update_ghpages spring-cloud spring-cloud-cli master
+clone_and_update_ghpages spring-cloud spring-cloud-cloudfoundry master
+clone_and_update_ghpages spring-cloud spring-cloud-cluster master
+clone_and_update_ghpages spring-cloud spring-cloud-commons master
+clone_and_update_ghpages spring-cloud spring-cloud-config master
+clone_and_update_ghpages spring-cloud spring-cloud-config 1.1.x
+clone_and_update_ghpages spring-cloud spring-cloud-consul 1.0.x
+clone_and_update_ghpages spring-cloud spring-cloud-consul master
+clone_and_update_ghpages spring-cloud spring-cloud-contract master
+clone_and_update_ghpages spring-cloud spring-cloud-netflix 1.0.x
+clone_and_update_ghpages spring-cloud spring-cloud-netflix 1.1.x
+clone_and_update_ghpages spring-cloud spring-cloud-netflix master
+clone_and_update_ghpages spring-cloud spring-cloud-security master
+clone_and_update_ghpages spring-cloud spring-cloud-sleuth 1.0.x
+clone_and_update_ghpages spring-cloud spring-cloud-sleuth master
+clone_and_update_ghpages spring-cloud spring-cloud-starters Brixton
+clone_and_update_ghpages spring-cloud spring-cloud-starters master
+clone_and_update_ghpages spring-cloud-incubator spring-cloud-vault-config master
+clone_and_update_ghpages spring-cloud spring-cloud-zookeeper master
\ No newline at end of file
diff --git a/docs/target/build-docs/docbook/css/highlight.css b/docs/target/build-docs/docbook/css/highlight.css
new file mode 100644
index 0000000..ffefef7
--- /dev/null
+++ b/docs/target/build-docs/docbook/css/highlight.css
@@ -0,0 +1,35 @@
+/*
+ code highlight CSS resemblign the Eclipse IDE default color schema
+ @author Costin Leau
+*/
+
+.hl-keyword {
+ color: #7F0055;
+ font-weight: bold;
+}
+
+.hl-comment {
+ color: #3F5F5F;
+ font-style: italic;
+}
+
+.hl-multiline-comment {
+ color: #3F5FBF;
+ font-style: italic;
+}
+
+.hl-tag {
+ color: #3F7F7F;
+}
+
+.hl-attribute {
+ color: #7F007F;
+}
+
+.hl-value {
+ color: #2A00FF;
+}
+
+.hl-string {
+ color: #2A00FF;
+}
\ No newline at end of file
diff --git a/docs/target/build-docs/docbook/css/manual-multipage.css b/docs/target/build-docs/docbook/css/manual-multipage.css
new file mode 100644
index 0000000..0c48453
--- /dev/null
+++ b/docs/target/build-docs/docbook/css/manual-multipage.css
@@ -0,0 +1,9 @@
+@IMPORT url("manual.css");
+
+body.firstpage {
+ background: url("../images/background.png") no-repeat center top;
+}
+
+div.part h1 {
+ border-top: none;
+}
diff --git a/docs/target/build-docs/docbook/css/manual-singlepage.css b/docs/target/build-docs/docbook/css/manual-singlepage.css
new file mode 100644
index 0000000..4a7fd14
--- /dev/null
+++ b/docs/target/build-docs/docbook/css/manual-singlepage.css
@@ -0,0 +1,6 @@
+@IMPORT url("manual.css");
+
+body {
+ background: url("../images/background.png") no-repeat center top;
+}
+
diff --git a/docs/target/build-docs/docbook/css/manual.css b/docs/target/build-docs/docbook/css/manual.css
new file mode 100644
index 0000000..0ecbe2e
--- /dev/null
+++ b/docs/target/build-docs/docbook/css/manual.css
@@ -0,0 +1,344 @@
+@IMPORT url("highlight.css");
+
+html {
+ padding: 0pt;
+ margin: 0pt;
+}
+
+body {
+ color: #333333;
+ margin: 15px 30px;
+ font-family: Helvetica, Arial, Freesans, Clean, Sans-serif;
+ line-height: 1.6;
+ -webkit-font-smoothing: antialiased;
+}
+
+code {
+ font-size: 16px;
+ font-family: Consolas, "Liberation Mono", Courier, monospace;
+}
+
+:not(a)>code {
+ color: #6D180B;
+}
+
+:not(pre)>code {
+ background-color: #F2F2F2;
+ border: 1px solid #CCCCCC;
+ border-radius: 4px;
+ padding: 1px 3px 0;
+ text-shadow: none;
+ white-space: nowrap;
+}
+
+body>*:first-child {
+ margin-top: 0 !important;
+}
+
+div {
+ margin: 0pt;
+}
+
+hr {
+ border: 1px solid #CCCCCC;
+ background: #CCCCCC;
+}
+
+h1,h2,h3,h4,h5,h6 {
+ color: #000000;
+ cursor: text;
+ font-weight: bold;
+ margin: 30px 0 10px;
+ padding: 0;
+}
+
+h1,h2,h3 {
+ margin: 40px 0 10px;
+}
+
+h1 {
+ margin: 70px 0 30px;
+ padding-top: 20px;
+}
+
+div.part h1 {
+ border-top: 1px dotted #CCCCCC;
+}
+
+h1,h1 code {
+ font-size: 32px;
+}
+
+h2,h2 code {
+ font-size: 24px;
+}
+
+h3,h3 code {
+ font-size: 20px;
+}
+
+h4,h1 code,h5,h5 code,h6,h6 code {
+ font-size: 18px;
+}
+
+div.book,div.chapter,div.appendix,div.part,div.preface {
+ min-width: 300px;
+ max-width: 1200px;
+ margin: 0 auto;
+}
+
+p.releaseinfo {
+ font-weight: bold;
+ margin-bottom: 40px;
+ margin-top: 40px;
+}
+
+div.authorgroup {
+ line-height: 1;
+}
+
+p.copyright {
+ line-height: 1;
+ margin-bottom: -5px;
+}
+
+.legalnotice p {
+ font-style: italic;
+ font-size: 14px;
+ line-height: 1;
+}
+
+div.titlepage+p,div.titlepage+p {
+ margin-top: 0;
+}
+
+pre {
+ line-height: 1.0;
+ color: black;
+}
+
+a {
+ color: #4183C4;
+ text-decoration: none;
+}
+
+p {
+ margin: 15px 0;
+ text-align: left;
+}
+
+ul,ol {
+ padding-left: 30px;
+}
+
+li p {
+ margin: 0;
+}
+
+div.table {
+ margin: 1em;
+ padding: 0.5em;
+ text-align: center;
+}
+
+div.table table,div.informaltable table {
+ display: table;
+ width: 100%;
+}
+
+div.table td {
+ padding-left: 7px;
+ padding-right: 7px;
+}
+
+.sidebar {
+ line-height: 1.4;
+ padding: 0 20px;
+ background-color: #F8F8F8;
+ border: 1px solid #CCCCCC;
+ border-radius: 3px 3px 3px 3px;
+}
+
+.sidebar p.title {
+ color: #6D180B;
+}
+
+pre.programlisting,pre.screen {
+ font-size: 15px;
+ padding: 6px 10px;
+ background-color: #F8F8F8;
+ border: 1px solid #CCCCCC;
+ border-radius: 3px 3px 3px 3px;
+ clear: both;
+ overflow: auto;
+ line-height: 1.4;
+ font-family: Consolas, "Liberation Mono", Courier, monospace;
+}
+
+table {
+ border-collapse: collapse;
+ border-spacing: 0;
+ border: 1px solid #DDDDDD !important;
+ border-radius: 4px !important;
+ border-collapse: separate !important;
+ line-height: 1.6;
+}
+
+table thead {
+ background: #F5F5F5;
+}
+
+table tr {
+ border: none;
+ border-bottom: none;
+}
+
+table th {
+ font-weight: bold;
+}
+
+table th,table td {
+ border: none !important;
+ padding: 6px 13px;
+}
+
+table tr:nth-child(2n) {
+ background-color: #F8F8F8;
+}
+
+td p {
+ margin: 0 0 15px 0;
+}
+
+div.table-contents td p {
+ margin: 0;
+}
+
+div.important *,div.note *,div.tip *,div.warning *,div.navheader *,div.navfooter *,div.calloutlist *
+ {
+ border: none !important;
+ background: none !important;
+ margin: 0;
+}
+
+div.important p,div.note p,div.tip p,div.warning p {
+ color: #6F6F6F;
+ line-height: 1.6;
+}
+
+div.important code,div.note code,div.tip code,div.warning code {
+ background-color: #F2F2F2 !important;
+ border: 1px solid #CCCCCC !important;
+ border-radius: 4px !important;
+ padding: 1px 3px 0 !important;
+ text-shadow: none !important;
+ white-space: nowrap !important;
+}
+
+.note th,.tip th,.warning th {
+ display: none;
+}
+
+.note tr:first-child td,.tip tr:first-child td,.warning tr:first-child td
+ {
+ border-right: 1px solid #CCCCCC !important;
+ padding-top: 10px;
+}
+
+div.calloutlist p,div.calloutlist td {
+ padding: 0;
+ margin: 0;
+}
+
+div.calloutlist>table>tbody>tr>td:first-child {
+ padding-left: 10px;
+ width: 30px !important;
+}
+
+div.important,div.note,div.tip,div.warning {
+ margin-left: 0px !important;
+ margin-right: 20px !important;
+ margin-top: 20px;
+ margin-bottom: 20px;
+ padding-top: 10px;
+ padding-bottom: 10px;
+}
+
+div.toc {
+ line-height: 1.2;
+}
+
+dl,dt {
+ margin-top: 1px;
+ margin-bottom: 0;
+}
+
+div.toc>dl>dt {
+ font-size: 32px;
+ font-weight: bold;
+ margin: 30px 0 10px 0;
+ display: block;
+}
+
+div.toc>dl>dd>dl>dt {
+ font-size: 24px;
+ font-weight: bold;
+ margin: 20px 0 10px 0;
+ display: block;
+}
+
+div.toc>dl>dd>dl>dd>dl>dt {
+ font-weight: bold;
+ font-size: 20px;
+ margin: 10px 0 0 0;
+}
+
+tbody.footnotes * {
+ border: none !important;
+}
+
+div.footnote p {
+ margin: 0;
+ line-height: 1;
+}
+
+div.footnote p sup {
+ margin-right: 6px;
+ vertical-align: middle;
+}
+
+div.navheader {
+ border-bottom: 1px solid #CCCCCC;
+}
+
+div.navfooter {
+ border-top: 1px solid #CCCCCC;
+}
+
+.title {
+ margin-left: -1em;
+ padding-left: 1em;
+}
+
+.title>a {
+ position: absolute;
+ visibility: hidden;
+ display: block;
+ font-size: 0.85em;
+ margin-top: 0.05em;
+ margin-left: -1em;
+ vertical-align: text-top;
+ color: black;
+}
+
+.title>a:before {
+ content: "\00A7";
+}
+
+.title:hover>a,.title>a:hover,.title:hover>a:hover {
+ visibility: visible;
+}
+
+.title:focus>a,.title>a:focus,.title:focus>a:focus {
+ outline: 0;
+}
diff --git a/docs/target/build-docs/docbook/images/background.png b/docs/target/build-docs/docbook/images/background.png
new file mode 100644
index 0000000..15dca6f
Binary files /dev/null and b/docs/target/build-docs/docbook/images/background.png differ
diff --git a/docs/target/build-docs/docbook/images/caution.png b/docs/target/build-docs/docbook/images/caution.png
new file mode 100644
index 0000000..8a5e4fc
Binary files /dev/null and b/docs/target/build-docs/docbook/images/caution.png differ
diff --git a/docs/target/build-docs/docbook/images/important.png b/docs/target/build-docs/docbook/images/important.png
new file mode 100644
index 0000000..ec54df6
Binary files /dev/null and b/docs/target/build-docs/docbook/images/important.png differ
diff --git a/docs/target/build-docs/docbook/images/logo.png b/docs/target/build-docs/docbook/images/logo.png
new file mode 100644
index 0000000..ade2ce6
Binary files /dev/null and b/docs/target/build-docs/docbook/images/logo.png differ
diff --git a/docs/target/build-docs/docbook/images/note.png b/docs/target/build-docs/docbook/images/note.png
new file mode 100644
index 0000000..88d997b
Binary files /dev/null and b/docs/target/build-docs/docbook/images/note.png differ
diff --git a/docs/target/build-docs/docbook/images/sts_exception.png b/docs/target/build-docs/docbook/images/sts_exception.png
new file mode 100644
index 0000000..8607c38
Binary files /dev/null and b/docs/target/build-docs/docbook/images/sts_exception.png differ
diff --git a/docs/target/build-docs/docbook/images/tip.png b/docs/target/build-docs/docbook/images/tip.png
new file mode 100644
index 0000000..6530abb
Binary files /dev/null and b/docs/target/build-docs/docbook/images/tip.png differ
diff --git a/docs/target/build-docs/docbook/images/warning.png b/docs/target/build-docs/docbook/images/warning.png
new file mode 100644
index 0000000..0d5b524
Binary files /dev/null and b/docs/target/build-docs/docbook/images/warning.png differ
diff --git a/docs/target/build-docs/docbook/images/web-selected.png b/docs/target/build-docs/docbook/images/web-selected.png
new file mode 100644
index 0000000..aa6b2da
Binary files /dev/null and b/docs/target/build-docs/docbook/images/web-selected.png differ
diff --git a/docs/target/build-docs/docbook/xsl/common.xsl b/docs/target/build-docs/docbook/xsl/common.xsl
new file mode 100644
index 0000000..157bf9d
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/common.xsl
@@ -0,0 +1,45 @@
+
+
+
+
+
+
+
+ 1
+ 0
+ 1
+
+
+
+ images/
+ .png
+
+
+ book toc,title
+ 3
+
+
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/epub.xsl b/docs/target/build-docs/docbook/xsl/epub.xsl
new file mode 100644
index 0000000..031406c
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/epub.xsl
@@ -0,0 +1,31 @@
+
+
+
+
+
+
+
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/html-multipage.xsl b/docs/target/build-docs/docbook/xsl/html-multipage.xsl
new file mode 100644
index 0000000..be9cc52
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/html-multipage.xsl
@@ -0,0 +1,73 @@
+
+
+
+
+
+
+
+
+
+ css/manual-multipage.css
+
+ '5'
+ '1'
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ firstpage
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/html-singlepage.xsl b/docs/target/build-docs/docbook/xsl/html-singlepage.xsl
new file mode 100644
index 0000000..6bd4ac8
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/html-singlepage.xsl
@@ -0,0 +1,30 @@
+
+
+
+
+
+
+
+
+
+ css/manual-singlepage.css
+
+
diff --git a/docs/target/build-docs/docbook/xsl/html.xsl b/docs/target/build-docs/docbook/xsl/html.xsl
new file mode 100644
index 0000000..fd96f9a
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/html.xsl
@@ -0,0 +1,141 @@
+
+
+
+
+
+
+
+
+
+
+ 1
+
+
+ 1
+
+
+
+ 120
+ images/callouts/
+ .png
+
+
+ text/css
+
+ text-align: left
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ ,
+
+
+
+
+
+
+
+
+
Authors
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ #
+
+
+
+
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/pdf.xsl b/docs/target/build-docs/docbook/xsl/pdf.xsl
new file mode 100644
index 0000000..77360a7
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/pdf.xsl
@@ -0,0 +1,582 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ auto
+
+
+
+
+ underline
+ #204060
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ ,
+
+
+
+
+
+
+
+
+
+
+ Copyright ©
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ -5em
+ -5em
+ 8pt
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ please define title in your docbook file!
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ 8pt
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ please define title in your docbook file!
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ 0
+ 0
+ 0
+
+
+
+ false
+
+
+ Helvetica
+ 10
+ 8
+ Helvetica
+
+
+ 1.4
+
+
+
+ left
+ bold
+
+
+ pt
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ 0.6em
+ 0.6em
+ 0.6em
+
+
+ pt
+
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+ 0.4em
+ 0.4em
+ 0.4em
+
+
+ pt
+
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+ 0.4em
+ 0.4em
+ 0.4em
+
+
+ pt
+
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+ 0.3em
+ 0.3em
+ 0.3em
+
+
+ pt
+
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+
+
+
+
+ 4pt
+ 4pt
+ 4pt
+ 4pt
+
+
+
+ 0.1pt
+ 0.1pt
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ 7pt
+ wrap
+ 1
+
+
+
+ 1em
+ 1em
+ 1em
+ 0.1em
+ 0.1em
+ 0.1em
+
+ #444444
+ solid
+ 0.1pt
+ 0.5em
+ 0.5em
+ 0.5em
+ 0.5em
+ 0.5em
+ 0.5em
+
+
+
+ 1
+
+ #F0F0F0
+
+
+
+ 0.1em
+ 0.1em
+ 0.1em
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+ 0.5em
+ 0.5em
+ 0.5em
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+ #444444
+ solid
+ 0.1pt
+ #F0F0F0
+
+
+
+
+
+
+ normal
+ italic
+
+
+ pt
+
+ false
+ 0.1em
+ 0.1em
+ 0.1em
+
+
+
+
+
+ 0
+ 1
+
+
+ 90
+
+
+
+
+
+ figure after
+ example after
+ equation before
+ table before
+ procedure before
+
+
+
+ 1
+ 0pt
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+ 0.1em
+ 2em
+ .75pt
+ solid
+ #5c5c4f
+ 0.5em
+ 1.5em
+ 1.5em
+ 1.5em
+ 1.5em
+ 1.5em
+ 1.5em
+
+
+
+ 10pt
+ bold
+ false
+ always
+ 0
+
+
+
+ 0em
+ 0em
+ 0em
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl-config.xml b/docs/target/build-docs/docbook/xsl/xslthl-config.xml
new file mode 100644
index 0000000..e4d677f
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl-config.xml
@@ -0,0 +1,23 @@
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/asciidoc-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/asciidoc-hl.xml
new file mode 100644
index 0000000..5478b1d
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/asciidoc-hl.xml
@@ -0,0 +1,41 @@
+
+
+
+
+ ////
+ ////
+
+
+ //
+
+
+
+ ^(={1,6} .+)$
+
+ MULTILINE
+
+
+ ^(\.[^\.\s].+)$
+
+ MULTILINE
+
+
+ ^(:!?\w.*?:)
+
+ MULTILINE
+
+
+ ^(-|\*{1,5}|\d*\.{1,5})(?= .+$)
+
+ MULTILINE
+
+
+ ^(\[.+\])$
+
+ MULTILINE
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/bourne-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/bourne-hl.xml
new file mode 100644
index 0000000..e2cd98d
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/bourne-hl.xml
@@ -0,0 +1,95 @@
+
+
+
+ #
+
+ <<
+ '
+ "
+ -
+
+
+
+
+ "
+ \
+
+
+ '
+ \
+
+
+
+ 0x
+
+
+
+ .
+
+
+
+
+
+ if
+ then
+ else
+ elif
+ fi
+ case
+ esac
+ for
+ while
+ until
+ do
+ done
+
+ exec
+ shift
+ exit
+ times
+ break
+ export
+ trap
+ continue
+ readonly
+ wait
+ eval
+ return
+
+ cd
+ echo
+ hash
+ pwd
+ read
+ set
+ test
+ type
+ ulimit
+ umask
+ unset
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/c-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/c-hl.xml
new file mode 100644
index 0000000..176cc37
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/c-hl.xml
@@ -0,0 +1,117 @@
+
+
+
+
+ /**
+ */
+
+
+
+
+
+
+
+ /*
+ */
+
+ //
+
+
+ #
+ \
+
+
+
+
+ "
+ \
+
+
+ '
+ \
+
+
+ 0x
+ ul
+ lu
+ u
+ l
+
+
+
+ .
+
+ e
+ ul
+ lu
+ u
+ f
+ l
+
+
+
+ auto
+ _Bool
+ break
+ case
+ char
+ _Complex
+ const
+ continue
+ default
+ do
+ double
+ else
+ enum
+ extern
+ float
+ for
+ goto
+ if
+ _Imaginary
+ inline
+ int
+ long
+ register
+ restrict
+ return
+ short
+ signed
+ sizeof
+ static
+ struct
+ switch
+ typedef
+ union
+ unsigned
+ void
+ volatile
+ while
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/cpp-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/cpp-hl.xml
new file mode 100644
index 0000000..ef83c4f
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/cpp-hl.xml
@@ -0,0 +1,151 @@
+
+
+
+
+ /**
+ */
+
+
+
+
+
+
+
+ /*
+ */
+
+ //
+
+
+ #
+ \
+
+
+
+
+ "
+ \
+
+
+ '
+ \
+
+
+ 0x
+ ul
+ lu
+ u
+ l
+
+
+
+ .
+
+ e
+ ul
+ lu
+ u
+ f
+ l
+
+
+
+
+ auto
+ _Bool
+ break
+ case
+ char
+ _Complex
+ const
+ continue
+ default
+ do
+ double
+ else
+ enum
+ extern
+ float
+ for
+ goto
+ if
+ _Imaginary
+ inline
+ int
+ long
+ register
+ restrict
+ return
+ short
+ signed
+ sizeof
+ static
+ struct
+ switch
+ typedef
+ union
+ unsigned
+ void
+ volatile
+ while
+
+ asm
+ dynamic_cast
+ namespace
+ reinterpret_cast
+ try
+ bool
+ explicit
+ new
+ static_cast
+ typeid
+ catch
+ false
+ operator
+ template
+ typename
+ class
+ friend
+ private
+ this
+ using
+ const_cast
+ inline
+ public
+ throw
+ virtual
+ delete
+ mutable
+ protected
+ true
+ wchar_t
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/csharp-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/csharp-hl.xml
new file mode 100644
index 0000000..d57e631
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/csharp-hl.xml
@@ -0,0 +1,194 @@
+
+
+
+
+ /**
+ */
+
+
+
+ ///
+
+
+
+ /*
+ */
+
+ //
+
+
+ [
+ ]
+ (
+ )
+
+
+
+ #
+ \
+
+
+
+
+
+ @"
+ "
+ \
+
+
+
+ "
+ \
+
+
+ '
+ \
+
+
+ 0x
+ ul
+ lu
+ u
+ l
+
+
+
+ .
+
+ e
+ ul
+ lu
+ u
+ f
+ d
+ m
+ l
+
+
+
+ abstract
+ as
+ base
+ bool
+ break
+ byte
+ case
+ catch
+ char
+ checked
+ class
+ const
+ continue
+ decimal
+ default
+ delegate
+ do
+ double
+ else
+ enum
+ event
+ explicit
+ extern
+ false
+ finally
+ fixed
+ float
+ for
+ foreach
+ goto
+ if
+ implicit
+ in
+ int
+ interface
+ internal
+ is
+ lock
+ long
+ namespace
+ new
+ null
+ object
+ operator
+ out
+ override
+ params
+ private
+ protected
+ public
+ readonly
+ ref
+ return
+ sbyte
+ sealed
+ short
+ sizeof
+ stackalloc
+ static
+ string
+ struct
+ switch
+ this
+ throw
+ true
+ try
+ typeof
+ uint
+ ulong
+ unchecked
+ unsafe
+ ushort
+ using
+ virtual
+ void
+ volatile
+ while
+
+
+
+ add
+ alias
+ from
+ get
+ global
+ group
+ into
+ join
+ orderby
+ partial
+ remove
+ select
+ set
+ value
+ where
+ yield
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/css-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/css-hl.xml
new file mode 100644
index 0000000..164c48c
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/css-hl.xml
@@ -0,0 +1,176 @@
+
+
+
+
+ /*
+ */
+
+
+ "
+ \
+
+
+
+ '
+ \
+
+
+
+ .
+
+
+
+ @charset
+ @import
+ @media
+ @page
+
+
+
+ -
+ azimuth
+ background-attachment
+ background-color
+ background-image
+ background-position
+ background-repeat
+ background
+ border-collapse
+ border-color
+ border-spacing
+ border-style
+ border-top
+ border-right
+ border-bottom
+ border-left
+ border-top-color
+ border-right-color
+ border-bottom-color
+ border-left-color
+ border-top-style
+ border-right-style
+ border-bottom-style
+ border-left-style
+ border-top-width
+ border-right-width
+ border-bottom-width
+ border-left-width
+ border-width
+ border
+ bottom
+ caption-side
+ clear
+ clip
+ color
+ content
+ counter-increment
+ counter-reset
+ cue-after
+ cue-before
+ cue
+ cursor
+ direction
+ display
+ elevation
+ empty-cells
+ float
+ font-family
+ font-size
+ font-style
+ font-variant
+ font-weight
+ font
+ height
+ left
+ letter-spacing
+ line-height
+ list-style-image
+ list-style-position
+ list-style-type
+ list-style
+ margin-right
+ margin-left
+ margin-top
+ margin-bottom
+ margin
+ max-height
+ max-width
+ min-height
+ min-width
+ orphans
+ outline-color
+ outline-style
+ outline-width
+ outline
+ overflow
+ padding-top
+ padding-right
+ padding-bottom
+ padding-left
+ padding
+ page-break-after
+ page-break-before
+ page-break-inside
+ pause-after
+ pause-before
+ pause
+ pitch-range
+ pitch
+ play-during
+ position
+ quotes
+ richness
+ right
+ speak-header
+ speak-numeral
+ speak-punctuation
+ speak
+ speech-rate
+ stress
+ table-layout
+ text-align
+ text-decoration
+ text-indent
+ text-transform
+ top
+ unicode-bidi
+ vertical-align
+ visibility
+ voice-family
+ volume
+ white-space
+ widows
+ width
+ word-spacing
+ z-index
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/html-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/html-hl.xml
new file mode 100644
index 0000000..5b6761b
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/html-hl.xml
@@ -0,0 +1,122 @@
+
+
+
+
+
+
+ a
+ abbr
+ address
+ area
+ article
+ aside
+ audio
+ b
+ base
+ bdi
+ blockquote
+ body
+ br
+ button
+ caption
+ canvas
+ cite
+ code
+ command
+ col
+ colgroup
+ dd
+ del
+ dialog
+ div
+ dl
+ dt
+ em
+ embed
+ fieldset
+ figcaption
+ figure
+ font
+ form
+ footer
+ h1
+ h2
+ h3
+ h4
+ h5
+ h6
+ head
+ header
+ hr
+ html
+ i
+ iframe
+ img
+ input
+ ins
+ kbd
+ label
+ legend
+ li
+ link
+ map
+ mark
+ menu
+ menu
+ meta
+ nav
+ noscript
+ object
+ ol
+ optgroup
+ option
+ p
+ param
+ pre
+ q
+ samp
+ script
+ section
+ select
+ small
+ source
+ span
+ strong
+ style
+ sub
+ summary
+ sup
+ table
+ tbody
+ td
+ textarea
+ tfoot
+ th
+ thead
+ time
+ title
+ tr
+ track
+ u
+ ul
+ var
+ video
+ wbr
+ xmp
+
+
+
+
+ xsl:
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/ini-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/ini-hl.xml
new file mode 100644
index 0000000..34c1036
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/ini-hl.xml
@@ -0,0 +1,45 @@
+
+
+
+ ;
+
+
+ ^(\[.+\]\s*)$
+
+ MULTILINE
+
+
+
+ ^(.+)(?==)
+
+ MULTILINE
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/java-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/java-hl.xml
new file mode 100644
index 0000000..f7bb164
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/java-hl.xml
@@ -0,0 +1,117 @@
+
+
+
+
+ /**
+ */
+
+
+
+ /*
+ */
+
+ //
+
+ "
+ \
+
+
+ '
+ \
+
+
+ @
+ (
+ )
+
+
+ 0x
+
+
+
+ .
+ e
+ f
+ d
+ l
+
+
+
+ abstract
+ boolean
+ break
+ byte
+ case
+ catch
+ char
+ class
+ const
+ continue
+ default
+ do
+ double
+ else
+ extends
+ final
+ finally
+ float
+ for
+ goto
+ if
+ implements
+ import
+ instanceof
+ int
+ interface
+ long
+ native
+ new
+ package
+ private
+ protected
+ public
+ return
+ short
+ static
+ strictfp
+ super
+ switch
+ synchronized
+ this
+ throw
+ throws
+ transient
+ try
+ void
+ volatile
+ while
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/javascript-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/javascript-hl.xml
new file mode 100644
index 0000000..99b8a71
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/javascript-hl.xml
@@ -0,0 +1,147 @@
+
+
+
+
+ /*
+ */
+
+ //
+
+ "
+ \
+
+
+ '
+ \
+
+
+ 0x
+
+
+
+ .
+ e
+
+
+
+ break
+ case
+ catch
+ continue
+ default
+ delete
+ do
+ else
+ finally
+ for
+ function
+ if
+ in
+ instanceof
+ new
+ return
+ switch
+ this
+ throw
+ try
+ typeof
+ var
+ void
+ while
+ with
+
+ abstract
+ boolean
+ byte
+ char
+ class
+ const
+ debugger
+ double
+ enum
+ export
+ extends
+ final
+ float
+ goto
+ implements
+ import
+ int
+ interface
+ long
+ native
+ package
+ private
+ protected
+ public
+ short
+ static
+ super
+ synchronized
+ throws
+ transient
+ volatile
+
+
+ prototype
+
+ Array
+ Boolean
+ Date
+ Error
+ EvalError
+ Function
+ Math
+ Number
+ Object
+ RangeError
+ ReferenceError
+ RegExp
+ String
+ SyntaxError
+ TypeError
+ URIError
+
+ decodeURI
+ decodeURIComponent
+ encodeURI
+ encodeURIComponent
+ eval
+ isFinite
+ isNaN
+ parseFloat
+ parseInt
+
+ Infinity
+ NaN
+ undefined
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/json-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/json-hl.xml
new file mode 100644
index 0000000..59b9c48
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/json-hl.xml
@@ -0,0 +1,37 @@
+
+
+ #
+
+ "
+ \
+
+
+ '
+ \
+
+
+ @
+ (
+ )
+
+
+ .
+ e
+ f
+ d
+ l
+
+
+
+ true
+ false
+
+
+ {
+ }
+ ,
+ [
+ ]
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/perl-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/perl-hl.xml
new file mode 100644
index 0000000..73d71cc
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/perl-hl.xml
@@ -0,0 +1,120 @@
+
+
+
+ #
+
+ <<
+ '
+ "
+
+
+
+ "
+ \
+
+
+ '
+ \
+
+
+
+ 0x
+
+
+
+ .
+
+
+
+
+ if
+ unless
+ while
+ until
+ foreach
+ else
+ elsif
+ for
+ when
+ default
+ given
+
+ caller
+ continue
+ die
+ do
+ dump
+ eval
+ exit
+ goto
+ last
+ next
+ redo
+ return
+ sub
+ wantarray
+
+ caller
+ import
+ local
+ my
+ package
+ use
+
+ do
+ import
+ no
+ package
+ require
+ use
+
+ bless
+ dbmclose
+ dbmopen
+ package
+ ref
+ tie
+ tied
+ untie
+ use
+
+ and
+ or
+ not
+ eq
+ ne
+ lt
+ gt
+ le
+ ge
+ cmp
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/php-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/php-hl.xml
new file mode 100644
index 0000000..1da25b8
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/php-hl.xml
@@ -0,0 +1,154 @@
+
+
+
+
+ /**
+ */
+
+
+
+
+
+
+
+ /*
+ */
+
+ //
+ #
+
+ "
+ \
+
+
+
+ '
+ \
+
+
+
+ <<<
+
+
+ 0x
+
+
+
+ .
+ e
+
+
+
+ and
+ or
+ xor
+ __FILE__
+ exception
+ __LINE__
+ array
+ as
+ break
+ case
+ class
+ const
+ continue
+ declare
+ default
+ die
+ do
+ echo
+ else
+ elseif
+ empty
+ enddeclare
+ endfor
+ endforeach
+ endif
+ endswitch
+ endwhile
+ eval
+ exit
+ extends
+ for
+ foreach
+ function
+ global
+ if
+ include
+ include_once
+ isset
+ list
+ new
+ print
+ require
+ require_once
+ return
+ static
+ switch
+ unset
+ use
+ var
+ while
+ __FUNCTION__
+ __CLASS__
+ __METHOD__
+ final
+ php_user_filter
+ interface
+ implements
+ extends
+ public
+ private
+ protected
+ abstract
+ clone
+ try
+ catch
+ throw
+ cfunction
+ old_function
+ true
+ false
+
+ namespace
+ __NAMESPACE__
+ goto
+ __DIR__
+
+
+
+
+ ?>
+ <?php
+ <?=
+
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/properties-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/properties-hl.xml
new file mode 100644
index 0000000..775f2f1
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/properties-hl.xml
@@ -0,0 +1,38 @@
+
+
+
+ #
+
+ ^(.+?)(?==|:)
+
+ MULTILINE
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/python-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/python-hl.xml
new file mode 100644
index 0000000..a467443
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/python-hl.xml
@@ -0,0 +1,100 @@
+
+
+
+
+
+ @
+ (
+ )
+
+ #
+
+ """
+
+
+
+ '''
+
+
+
+ "
+ \
+
+
+ '
+ \
+
+
+ 0x
+ l
+
+
+
+ .
+
+ e
+ l
+
+
+
+ and
+ del
+ from
+ not
+ while
+ as
+ elif
+ global
+ or
+ with
+ assert
+ else
+ if
+ pass
+ yield
+ break
+ except
+ import
+ print
+ class
+ exec
+ in
+ raise
+ continue
+ finally
+ is
+ return
+ def
+ for
+ lambda
+ try
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/ruby-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/ruby-hl.xml
new file mode 100644
index 0000000..d105640
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/ruby-hl.xml
@@ -0,0 +1,109 @@
+
+
+
+ #
+
+ <<
+
+
+
+ "
+ \
+
+
+ %Q{
+ }
+ \
+
+
+ %/
+ /
+ \
+
+
+ '
+ \
+
+
+ %q{
+ }
+ \
+
+
+ 0x
+
+
+
+ .
+ e
+
+
+
+ alias
+ and
+ BEGIN
+ begin
+ break
+ case
+ class
+ def
+ defined
+ do
+ else
+ elsif
+ END
+ end
+ ensure
+ false
+ for
+ if
+ in
+ module
+ next
+ nil
+ not
+ or
+ redo
+ rescue
+ retry
+ return
+ self
+ super
+ then
+ true
+ undef
+ unless
+ until
+ when
+ while
+ yield
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/sql2003-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/sql2003-hl.xml
new file mode 100644
index 0000000..ac1d5d0
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/sql2003-hl.xml
@@ -0,0 +1,565 @@
+
+
+
+ --
+
+ /*
+ */
+
+
+ '
+
+
+
+ U'
+ '
+
+
+
+ B'
+ '
+
+
+
+ N'
+ '
+
+
+
+ X'
+ '
+
+
+
+ .
+
+ e
+
+
+
+
+
+ A
+ ABS
+ ABSOLUTE
+ ACTION
+ ADA
+ ADMIN
+ AFTER
+ ALWAYS
+ ASC
+ ASSERTION
+ ASSIGNMENT
+ ATTRIBUTE
+ ATTRIBUTES
+ AVG
+ BEFORE
+ BERNOULLI
+ BREADTH
+ C
+ CARDINALITY
+ CASCADE
+ CATALOG_NAME
+ CATALOG
+ CEIL
+ CEILING
+ CHAIN
+ CHAR_LENGTH
+ CHARACTER_LENGTH
+ CHARACTER_SET_CATALOG
+ CHARACTER_SET_NAME
+ CHARACTER_SET_SCHEMA
+ CHARACTERISTICS
+ CHARACTERS
+ CHECKED
+ CLASS_ORIGIN
+ COALESCE
+ COBOL
+ CODE_UNITS
+ COLLATION_CATALOG
+ COLLATION_NAME
+ COLLATION_SCHEMA
+ COLLATION
+ COLLECT
+ COLUMN_NAME
+ COMMAND_FUNCTION_CODE
+ COMMAND_FUNCTION
+ COMMITTED
+ CONDITION_NUMBER
+ CONDITION
+ CONNECTION_NAME
+ CONSTRAINT_CATALOG
+ CONSTRAINT_NAME
+ CONSTRAINT_SCHEMA
+ CONSTRAINTS
+ CONSTRUCTORS
+ CONTAINS
+ CONVERT
+ CORR
+ COUNT
+ COVAR_POP
+ COVAR_SAMP
+ CUME_DIST
+ CURRENT_COLLATION
+ CURSOR_NAME
+ DATA
+ DATETIME_INTERVAL_CODE
+ DATETIME_INTERVAL_PRECISION
+ DEFAULTS
+ DEFERRABLE
+ DEFERRED
+ DEFINED
+ DEFINER
+ DEGREE
+ DENSE_RANK
+ DEPTH
+ DERIVED
+ DESC
+ DESCRIPTOR
+ DIAGNOSTICS
+ DISPATCH
+ DOMAIN
+ DYNAMIC_FUNCTION_CODE
+ DYNAMIC_FUNCTION
+ EQUALS
+ EVERY
+ EXCEPTION
+ EXCLUDE
+ EXCLUDING
+ EXP
+ EXTRACT
+ FINAL
+ FIRST
+ FLOOR
+ FOLLOWING
+ FORTRAN
+ FOUND
+ FUSION
+ G
+ GENERAL
+ GO
+ GOTO
+ GRANTED
+ HIERARCHY
+ IMPLEMENTATION
+ INCLUDING
+ INCREMENT
+ INITIALLY
+ INSTANCE
+ INSTANTIABLE
+ INTERSECTION
+ INVOKER
+ ISOLATION
+ K
+ KEY_MEMBER
+ KEY_TYPE
+ KEY
+ LAST
+ LENGTH
+ LEVEL
+ LN
+ LOCATOR
+ LOWER
+ M
+ MAP
+ MATCHED
+ MAX
+ MAXVALUE
+ MESSAGE_LENGTH
+ MESSAGE_OCTET_LENGTH
+ MESSAGE_TEXT
+ MIN
+ MINVALUE
+ MOD
+ MORE
+ MUMPS
+ NAME
+ NAMES
+ NESTING
+ NEXT
+ NORMALIZE
+ NORMALIZED
+ NULLABLE
+ NULLIF
+ NULLS
+ NUMBER
+ OBJECT
+ OCTET_LENGTH
+ OCTETS
+ OPTION
+ OPTIONS
+ ORDERING
+ ORDINALITY
+ OTHERS
+ OVERLAY
+ OVERRIDING
+ PAD
+ PARAMETER_MODE
+ PARAMETER_NAME
+ PARAMETER_ORDINAL_POSITION
+ PARAMETER_SPECIFIC_CATALOG
+ PARAMETER_SPECIFIC_NAME
+ PARAMETER_SPECIFIC_SCHEMA
+ PARTIAL
+ PASCAL
+ PATH
+ PERCENT_RANK
+ PERCENTILE_CONT
+ PERCENTILE_DISC
+ PLACING
+ PLI
+ POSITION
+ POWER
+ PRECEDING
+ PRESERVE
+ PRIOR
+ PRIVILEGES
+ PUBLIC
+ RANK
+ READ
+ RELATIVE
+ REPEATABLE
+ RESTART
+ RETURNED_CARDINALITY
+ RETURNED_LENGTH
+ RETURNED_OCTET_LENGTH
+ RETURNED_SQLSTATE
+ ROLE
+ ROUTINE_CATALOG
+ ROUTINE_NAME
+ ROUTINE_SCHEMA
+ ROUTINE
+ ROW_COUNT
+ ROW_NUMBER
+ SCALE
+ SCHEMA_NAME
+ SCHEMA
+ SCOPE_CATALOG
+ SCOPE_NAME
+ SCOPE_SCHEMA
+ SECTION
+ SECURITY
+ SELF
+ SEQUENCE
+ SERIALIZABLE
+ SERVER_NAME
+ SESSION
+ SETS
+ SIMPLE
+ SIZE
+ SOURCE
+ SPACE
+ SPECIFIC_NAME
+ SQRT
+ STATE
+ STATEMENT
+ STDDEV_POP
+ STDDEV_SAMP
+ STRUCTURE
+ STYLE
+ SUBCLASS_ORIGIN
+ SUBSTRING
+ SUM
+ TABLE_NAME
+ TABLESAMPLE
+ TEMPORARY
+ TIES
+ TOP_LEVEL_COUNT
+ TRANSACTION_ACTIVE
+ TRANSACTION
+ TRANSACTIONS_COMMITTED
+ TRANSACTIONS_ROLLED_BACK
+ TRANSFORM
+ TRANSFORMS
+ TRANSLATE
+ TRIGGER_CATALOG
+ TRIGGER_NAME
+ TRIGGER_SCHEMA
+ TRIM
+ TYPE
+ UNBOUNDED
+ UNCOMMITTED
+ UNDER
+ UNNAMED
+ USAGE
+ USER_DEFINED_TYPE_CATALOG
+ USER_DEFINED_TYPE_CODE
+ USER_DEFINED_TYPE_NAME
+ USER_DEFINED_TYPE_SCHEMA
+ VIEW
+ WORK
+ WRITE
+ ZONE
+
+ ADD
+ ALL
+ ALLOCATE
+ ALTER
+ AND
+ ANY
+ ARE
+ ARRAY
+ AS
+ ASENSITIVE
+ ASYMMETRIC
+ AT
+ ATOMIC
+ AUTHORIZATION
+ BEGIN
+ BETWEEN
+ BIGINT
+ BINARY
+ BLOB
+ BOOLEAN
+ BOTH
+ BY
+ CALL
+ CALLED
+ CASCADED
+ CASE
+ CAST
+ CHAR
+ CHARACTER
+ CHECK
+ CLOB
+ CLOSE
+ COLLATE
+ COLUMN
+ COMMIT
+ CONNECT
+ CONSTRAINT
+ CONTINUE
+ CORRESPONDING
+ CREATE
+ CROSS
+ CUBE
+ CURRENT_DATE
+ CURRENT_DEFAULT_TRANSFORM_GROUP
+ CURRENT_PATH
+ CURRENT_ROLE
+ CURRENT_TIME
+ CURRENT_TIMESTAMP
+ CURRENT_TRANSFORM_GROUP_FOR_TYPE
+ CURRENT_USER
+ CURRENT
+ CURSOR
+ CYCLE
+ DATE
+ DAY
+ DEALLOCATE
+ DEC
+ DECIMAL
+ DECLARE
+ DEFAULT
+ DELETE
+ DEREF
+ DESCRIBE
+ DETERMINISTIC
+ DISCONNECT
+ DISTINCT
+ DOUBLE
+ DROP
+ DYNAMIC
+ EACH
+ ELEMENT
+ ELSE
+ END
+ END-EXEC
+ ESCAPE
+ EXCEPT
+ EXEC
+ EXECUTE
+ EXISTS
+ EXTERNAL
+ FALSE
+ FETCH
+ FILTER
+ FLOAT
+ FOR
+ FOREIGN
+ FREE
+ FROM
+ FULL
+ FUNCTION
+ GET
+ GLOBAL
+ GRANT
+ GROUP
+ GROUPING
+ HAVING
+ HOLD
+ HOUR
+ IDENTITY
+ IMMEDIATE
+ IN
+ INDICATOR
+ INNER
+ INOUT
+ INPUT
+ INSENSITIVE
+ INSERT
+ INT
+ INTEGER
+ INTERSECT
+ INTERVAL
+ INTO
+ IS
+ ISOLATION
+ JOIN
+ LANGUAGE
+ LARGE
+ LATERAL
+ LEADING
+ LEFT
+ LIKE
+ LOCAL
+ LOCALTIME
+ LOCALTIMESTAMP
+ MATCH
+ MEMBER
+ MERGE
+ METHOD
+ MINUTE
+ MODIFIES
+ MODULE
+ MONTH
+ MULTISET
+ NATIONAL
+ NATURAL
+ NCHAR
+ NCLOB
+ NEW
+ NO
+ NONE
+ NOT
+ NULL
+ NUMERIC
+ OF
+ OLD
+ ON
+ ONLY
+ OPEN
+ OR
+ ORDER
+ OUT
+ OUTER
+ OUTPUT
+ OVER
+ OVERLAPS
+ PARAMETER
+ PARTITION
+ PRECISION
+ PREPARE
+ PRIMARY
+ PROCEDURE
+ RANGE
+ READS
+ REAL
+ RECURSIVE
+ REF
+ REFERENCES
+ REFERENCING
+ REGR_AVGX
+ REGR_AVGY
+ REGR_COUNT
+ REGR_INTERCEPT
+ REGR_R2
+ REGR_SLOPE
+ REGR_SXX
+ REGR_SXY
+ REGR_SYY
+ RELEASE
+ RESULT
+ RETURN
+ RETURNS
+ REVOKE
+ RIGHT
+ ROLLBACK
+ ROLLUP
+ ROW
+ ROWS
+ SAVEPOINT
+ SCROLL
+ SEARCH
+ SECOND
+ SELECT
+ SENSITIVE
+ SESSION_USER
+ SET
+ SIMILAR
+ SMALLINT
+ SOME
+ SPECIFIC
+ SPECIFICTYPE
+ SQL
+ SQLEXCEPTION
+ SQLSTATE
+ SQLWARNING
+ START
+ STATIC
+ SUBMULTISET
+ SYMMETRIC
+ SYSTEM_USER
+ SYSTEM
+ TABLE
+ THEN
+ TIME
+ TIMESTAMP
+ TIMEZONE_HOUR
+ TIMEZONE_MINUTE
+ TO
+ TRAILING
+ TRANSLATION
+ TREAT
+ TRIGGER
+ TRUE
+ UESCAPE
+ UNION
+ UNIQUE
+ UNKNOWN
+ UNNEST
+ UPDATE
+ UPPER
+ USER
+ USING
+ VALUE
+ VALUES
+ VAR_POP
+ VAR_SAMP
+ VARCHAR
+ VARYING
+ WHEN
+ WHENEVER
+ WHERE
+ WIDTH_BUCKET
+ WINDOW
+ WITH
+ WITHIN
+ WITHOUT
+ YEAR
+
+
diff --git a/docs/target/build-docs/docbook/xsl/xslthl/yaml-hl.xml b/docs/target/build-docs/docbook/xsl/xslthl/yaml-hl.xml
new file mode 100644
index 0000000..a28008e
--- /dev/null
+++ b/docs/target/build-docs/docbook/xsl/xslthl/yaml-hl.xml
@@ -0,0 +1,47 @@
+
+
+ #
+
+ "
+ \
+
+
+ '
+ \
+
+
+ @
+ (
+ )
+
+
+ .
+ e
+ f
+ d
+ l
+
+
+
+ true
+ false
+
+
+ {
+ }
+ ,
+ [
+ ]
+
+
+
+ ^(---)$
+
+ MULTILINE
+
+
+ ^(.+?)(?==|:)
+
+ MULTILINE
+
+
diff --git a/docs/target/build-docs/ruby/generate_readme.sh b/docs/target/build-docs/ruby/generate_readme.sh
new file mode 100755
index 0000000..6d0ce9d
--- /dev/null
+++ b/docs/target/build-docs/ruby/generate_readme.sh
@@ -0,0 +1,37 @@
+#!/usr/bin/env ruby
+
+base_dir = File.join(File.dirname(__FILE__),'../../..')
+src_dir = File.join(base_dir, "/src/main/asciidoc")
+require 'asciidoctor'
+require 'optparse'
+
+options = {}
+file = "#{src_dir}/README.adoc"
+
+OptionParser.new do |o|
+ o.on('-o OUTPUT_FILE', 'Output file (default is stdout)') { |file| options[:to_file] = file unless file=='-' }
+ o.on('-h', '--help') { puts o; exit }
+ o.parse!
+end
+
+file = ARGV[0] if ARGV.length>0
+
+# Copied from https://github.com/asciidoctor/asciidoctor-extensions-lab/blob/master/scripts/asciidoc-coalescer.rb
+doc = Asciidoctor.load_file file, safe: :unsafe, header_only: true, attributes: options[:attributes]
+header_attr_names = (doc.instance_variable_get :@attributes_modified).to_a
+header_attr_names.each {|k| doc.attributes[%(#{k}!)] = '' unless doc.attr? k }
+attrs = doc.attributes
+attrs['allow-uri-read'] = true
+puts attrs
+
+out = "// Do not edit this file (e.g. go instead to src/main/asciidoc)\n\n"
+doc = Asciidoctor.load_file file, safe: :unsafe, parse: false, attributes: attrs
+out << doc.reader.read
+
+unless options[:to_file]
+ puts out
+else
+ File.open(options[:to_file],'w+') do |file|
+ file.write(out)
+ end
+end
diff --git a/docs/target/dependency-maven-plugin-markers/org.springframework.cloud-spring-cloud-build-docs-jar-sources-1.3.5.BUILD-SNAPSHOT.marker b/docs/target/dependency-maven-plugin-markers/org.springframework.cloud-spring-cloud-build-docs-jar-sources-1.3.5.BUILD-SNAPSHOT.marker
new file mode 100644
index 0000000..e69de29
diff --git a/docs/target/generated-index/spring-cloud-cloudfoundry.adoc b/docs/target/generated-index/spring-cloud-cloudfoundry.adoc
new file mode 100644
index 0000000..e06b172
--- /dev/null
+++ b/docs/target/generated-index/spring-cloud-cloudfoundry.adoc
@@ -0,0 +1,13 @@
+:nofooter:
+:linkcss:
+:stylesdir: css
+:stylesheet: manual-singlepage.css
+
+= {docs-main}
+
+{spring-cloud-version}
+
+== Pick The Documentation Option
+
+- link:single/{docs-main}.html[Single HTML]
+- link:multi/multi_{docs-main}.html[Multi HTML]
\ No newline at end of file